TransferResponseMessage (common-messaging 1.1.0-SNAPSHOT API)
Date: 2018-09-22

org.gcube.datatransfer.common.messaging.messages

## Class TransferResponseMessage

- java.lang.Object
- - org.gcube.common.core.monitoring.GCUBEMessage
  - - org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage

- All Implemented Interfaces:
    Serializable

      public class TransferResponseMessage
      extends org.gcube.common.core.monitoring.GCUBEMessage

  Author:
    Nikolaos Drakopoulos(CERN)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.common.core.monitoring.GCUBEMessage

      `org.gcube.common.core.monitoring.GCUBEMessage.ResultType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `dataTransferLabel`
    `static MessageLabels` | `messageType`

    - ### Fields inherited from class org.gcube.common.core.monitoring.GCUBEMessage

      `DATE_FORMAT_NOW, result, scope, sourceGHN, time, topic`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferResponseMessage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createTopicName(org.gcube.common.core.scope.GCUBEScope scope)` creates the topic name for this message
    `String` | `getDestEndpoint()`
    `org.gcube.datatransfer.common.agent.Types.MonitorTransferReportMessage` | `getMonitorResponse()`
    `ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome>` | `getOutcomesResponse()`
    `String` | `getSourceEndpoint()`
    `String` | `getTransferId()`
    `String` | `getTransferStatus()`
    `org.gcube.datatransfer.common.outcome.TreeTransferOutcome` | `getTreeOutcomeResponse()`
    `void` | `setDestEndpoint(String destEndpoint)`
    `void` | `setMonitorResponse(org.gcube.datatransfer.common.agent.Types.MonitorTransferReportMessage monitorResponse)`
    `void` | `setOutcomesResponse(ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome> outcomesResponse)`
    `void` | `setSourceEndpoint(String sourceEndpoint)`
    `void` | `setTransferId(String transferId)`
    `void` | `setTransferStatus(String transferStatus)`
    `void` | `setTreeOutcomeResponse(org.gcube.datatransfer.common.outcome.TreeTransferOutcome treeOutcomeResponse)`

    - ### Methods inherited from class org.gcube.common.core.monitoring.GCUBEMessage

      `getResult, getScope, getSourceGHN, getTime, getTopic, setResult, setScope, setSourceGHN, setTime, setTimeNow, setTopic`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### messageType

          public static final MessageLabels messageType

    - #### dataTransferLabel

          public static final String dataTransferLabel

  - ### Constructor Detail

    - #### TransferResponseMessage

          public TransferResponseMessage()

  - ### Method Detail

    - #### createTopicName

          public void createTopicName(org.gcube.common.core.scope.GCUBEScope scope)

      creates the topic name for this message
      Parameters:
        `scope` - the message scope

    - #### getSourceEndpoint

          public String getSourceEndpoint()

    - #### getDestEndpoint

          public String getDestEndpoint()

    - #### getTransferId

          public String getTransferId()

    - #### getMonitorResponse

          public org.gcube.datatransfer.common.agent.Types.MonitorTransferReportMessage getMonitorResponse()

    - #### getOutcomesResponse

          public ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome> getOutcomesResponse()

    - #### setSourceEndpoint

          public void setSourceEndpoint(String sourceEndpoint)

    - #### setDestEndpoint

          public void setDestEndpoint(String destEndpoint)

    - #### setTransferId

          public void setTransferId(String transferId)

    - #### setMonitorResponse

          public void setMonitorResponse(org.gcube.datatransfer.common.agent.Types.MonitorTransferReportMessage monitorResponse)

    - #### setOutcomesResponse

          public void setOutcomesResponse(ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome> outcomesResponse)

    - #### getTransferStatus

          public String getTransferStatus()

    - #### setTransferStatus

          public void setTransferStatus(String transferStatus)

    - #### getTreeOutcomeResponse

          public org.gcube.datatransfer.common.outcome.TreeTransferOutcome getTreeOutcomeResponse()

    - #### setTreeOutcomeResponse

          public void setTreeOutcomeResponse(org.gcube.datatransfer.common.outcome.TreeTransferOutcome treeOutcomeResponse)

Copyright © 2018. All Rights Reserved.